<?php
/*
APPLICATION ATELIERPHP-WEBRAMA - VERSION 3.0	
Application permettant de visualiser des photos sur internet
SITE : WWW.ATELIERPHP.NET			
CONTACT : APPLICATIONS (arobase) ATELIERPHP (point) NET			

Copyright Jean-Marie & Thierry Poulhès Poulhès 2007-2008 Tous droits réservés.

Ce programme est un logiciel libre ; vous pouvez le redistribuer ou le
modifier suivant les termes de la “GNU General Public License” (GPL) telle que
publiée par la Free Software Foundation : soit la version 3 de cette
licence, soit (à votre gré) toute version ultérieure.

Ce programme est distribué dans l’espoir qu’il vous sera utile, mais SANS
AUCUNE GARANTIE : sans même la garantie implicite de COMMERCIALISABILITÉ
ni d’ADÉQUATION À UN OBJECTIF PARTICULIER. 
Consultez la Licence Générale Publique GNU pour plus de détails:
<http://www.gnu.org/licenses/gpl-3.0.html> 
ou en français <http://www.april.org/groupes/trad-gpl/doc/GPLv3/www.rodage.org/gpl-3.0.fr.html> 
ou encore <http://fsffrance.org/gpl/gpl-fr.fr.html> 

Vous devriez avoir reçu une copie de la Licence Générale Publique GNU avec
ce programme (fichier  : licence-gpl-3.0.html); si ce n’est pas le cas, consultez 
les liens ci-dessus.
*/
require ("../variables/variables.php");
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="lang" content="fr" />
<meta name="Author" content="" />
<meta name="keywords" content="" />
<meta name="description" content="" />
<meta name="rating" content="General" />
<meta name="ROBOTS" content="ALL" />
<meta name="revisit-after" content="30 days" />
<title>Atelier PHP - Application : Formulaire</title>
<link rel="stylesheet" href="../styles/feuille_formulaire.css" type="text/css" />
</head>

<body>
<center>
<h3>Atelier PHP - Application : Webrama : création d'une catégorie de photos</h3>
</center>
<?php
// inclusion de la classe qui sera utilisé pour la vérification des données du formulaire
include("../classes/classe_verif_informations.php");
require ("../fonctions/fonction_copy.php");
require ("../fonctions/recursive_remove_directory.php");
// création de l'object objValidation par instanciation de la classe classFormValidation()
$objValidation = new classFormValidation();

// vérication de chaque donnée récupérée grâce aux méthodes définies dans la classe classFormValidation()
// On passe en argument les noms des champs du formulaire qui permettront d'accéder aux données en écrivant : $_POST['nom_champ'] dans les méthodes de la classe

$objValidation->est_dossier_valide("dossier");
$objValidation->est_inf_100("dossierDescr");
$objValidation->est_inf_15("dossierPass");


$flag_categorie = false;


// Cas où le formulaire n'est pas correctement rempli par l'utilisateur
// test si la méthode isError() renvoit true
if($objValidation->isError())
{
	// on récupère le tableau qui contient toutes les erreurs grâce à la propriété _liste_des_erreurs de l'objet objValidation
	$errors = $objValidation->_liste_des_erreurs;
	echo "<b>L'opération n'a pas pu être effectuée : ";
	echo "<ul>";
	foreach ($errors as $e)   
	{
		echo "<li> La valeur du champ <b>" .'"'. 
		$e['field']."</b>".'"'." que vous avez saisi (".
		$e['value'].") n'est pas valide : ".$e['msg']."<p>";            
		($e['field'] == "code_postal")?$flag_code_postal = true : print "";
	}
	echo "</ul>";
	echo "<div>";
	// Pour permettre à l'utilisateur de corriger ou de compléter on rappelle le formulaire
	// appel au fichier form_informations.inc.php que l'on inclu et qui contient le formulaire
  $destination_form = "ajout_dossier_verif.php" ;
	require("ajout_dossier_form.php");
	echo "</div>";
}
// Cas où le formulaire est correctement rempli par l'utilisateur
else
{
	//  récupération des variables du formulaire
  if(!file_exists("../photos/".$_REQUEST['dossier']))
  {
      //recursive_remove_directory("../photos/".$_REQUEST['dossier']);  
      mkdir("../photos/".$_REQUEST['dossier']);
      //on copie les fichiers index.php pour protection
      copy_fonction("../indexes/index_categ.php","../photos/".$_REQUEST['dossier']."/index.php");
      // on crée le fichier de description du dossier
      $fichier = "../photos/".($_REQUEST['dossier'])."/titre_dossier.txt";
      $canal = fopen($fichier,'w'); //ouverture du fichier en ecriture
      strlen($_REQUEST['dossierDescr'])? print "" : $_REQUEST['dossierDescr'] = $_REQUEST['dossier'] ;
      fwrite($canal,($_REQUEST['dossierDescr']));
      fclose($canal);
      if (strlen($_REQUEST['dossierPass']))
      {
        // on crée le fichier pour le mot de passe
        $fichier = "../photos/".($_REQUEST['dossier'])."/protected.txt";
        $canal = fopen($fichier,'w'); //ouverture du fichier en ecriture
        fwrite($canal,($_REQUEST['dossierPass']));
        fclose($canal);
      }
      echo "Dossier $_REQUEST[dossier] créé, <br />description :  $_REQUEST[dossierDescr] <br />Mot de passe : $_REQUEST[dossierPass] <p></p>" ;
    }
    else
    {
        echo "Le dossier existe déjà est n'est pas vide ...<p></p>";
    }
}
?>
<a href=../index.php><img src=../images/accueil.png alt=accueil /></a>
&nbsp;<a href="menu_admin.php">Retour menu administration</a>
<?php
$dossier = "../";
include("../pied_de_page/pied_de_page.php");
?>
</body>
</html>
