<?php
/*
APPLICATION ATELIERPHP-WEBRAMA - VERSION 3.0	
Application permettant de visualiser des photos sur internet
SITE : WWW.ATELIERPHP.NET			
CONTACT : APPLICATIONS (arobase) ATELIERPHP (point) NET			

Copyright Jean-Marie & Thierry Poulhès Poulhès 2007-2008 Tous droits réservés.

Ce programme est un logiciel libre ; vous pouvez le redistribuer ou le
modifier suivant les termes de la “GNU General Public License” (GPL) telle que
publiée par la Free Software Foundation : soit la version 3 de cette
licence, soit (à votre gré) toute version ultérieure.

Ce programme est distribué dans l’espoir qu’il vous sera utile, mais SANS
AUCUNE GARANTIE : sans même la garantie implicite de COMMERCIALISABILITÉ
ni d’ADÉQUATION À UN OBJECTIF PARTICULIER. 
Consultez la Licence Générale Publique GNU pour plus de détails:
<http://www.gnu.org/licenses/gpl-3.0.html> 
ou en français <http://www.april.org/groupes/trad-gpl/doc/GPLv3/www.rodage.org/gpl-3.0.fr.html> 
ou encore <http://fsffrance.org/gpl/gpl-fr.fr.html> 

Vous devriez avoir reçu une copie de la Licence Générale Publique GNU avec
ce programme (fichier  : licence-gpl-3.0.html); si ce n’est pas le cas, consultez 
les liens ci-dessus.
*/
class classFormValidation
{
	// Une variable dans une classe s'appelle "propriétés", déclarée à l'aide du mot-clé var on l'appelle à l'aide de la syntaxe suivante : maClasse -> maPropriété_1
	// PROPRIETE DE LA CLASSE
	var $_liste_des_erreurs;

	
	// Le constructeur de la classe porte le même nom que la classe et s'execute à chaque instantiation de la classe.
	// CONSTRUTEUR DE LA CLASSE
	function classFormValidation()
	{
		// le mot-clé this est utilisé pour appeler une méthode qui est à l'interieur de la classe
		$this->resetErrorList();
	}

	
	// METHODE - TESTER UNE SAISIE : LE CHAMP EST-IL VIDE ? (1/2)
	function est_valide_non_nul($nom_champ)
	{
		if (!empty($_POST[$nom_champ]))
		{
			return true;
		}
		else
		{
			$msg="Il manque une information";
			//on remplit la liste d'erreur avec le nom du champ, la valeur saisie, le message d'erreur à renvoyer
			// le mot-clé this est utilisé pour appeler la propriété _liste_des_erreurs (variable qui est à l'interieur de la classe)
			// la propriété "_liste_des_erreurs" est un tableau, on met un tableau à 3 champs dedans
			$this->_liste_des_erreurs[] = array("field" => $nom_champ, "value" => $_POST[$nom_champ], "msg" => $msg);
			return false;
		}
	}

	function est_dossier_valide($nom_champ)
	{
		$Syntaxe="^[0123456789abcdefghijklmnopqrstuvwxyz_-]{1,30}$";
		if(eregi($Syntaxe,$_POST[$nom_champ]))
		{ 
			return true;
		} 
		else
		{
			$msg="Cette valeur ne semble pas être un nom de dossier valide. <br />Elle doit 
      comporter entre 1 et 30 caractères alphanumériques non accentués, sans espace; le caractère 'souligné' est permis. ";
			//on remplit la liste d'erreur avec le nom du champ, la valeur saisie, le message d'erreur à renvoyer
			// le mot-clé this est utilisé pour appeler la propriété _liste_des_erreurs (variable qui est à l'interieur de la classe)
			// la propriété "_liste_des_erreurs" est un tableau, on met un tableau à 3 champs dedans
			$this->_liste_des_erreurs[] = array("field" => $nom_champ, "value" => $_POST[$nom_champ], "msg" => $msg);
			return false;
		}
	}

	//  METHODE - TESTER UNE SAISIE : LE TITRE EST-IL CHOISI DANS LE MENU DEROULANT ? MESSAGE SPECIFICIQUE (2/2)
	function est_inf_100($nom_champ)
	{
		if ((strlen($_POST[$nom_champ]))<100)
		{
			return true;
		}
		else
		{
			$msg="Ce champ doit comporter moins de 100 caractères";
			$this->_liste_des_erreurs[] = array("field" => $nom_champ, "value" => $_POST[$nom_champ], "msg" => $msg);
			return false;
		}
	}
	

	//  METHODE - TESTER UNE SAISIE : LA LONGUEUR DE LA SAISIE EST-ELLE INFÉRIEUR À UN NOMBRE DONNÉ ? (1/2)
	function est_inf_15($nom_champ)
	{
		if ((isset($_POST[$nom_champ]) and (strlen($_POST[$nom_champ]) <= 15 )) or (!isset($_POST[$nom_champ]) ))
		{
			return true;
		}
		else
		{
			$msg="Le champ doit comporter moins de 50 caractères";
			//on remplit la liste d'erreur avec le nom du champ, la valeur saisie, le message d'erreur à renvoyer
			// le mot-clé this est utilisé pour appeler la propriété _liste_des_erreurs (variable qui est à l'interieur de la classe)
			// la propriété "_liste_des_erreurs" est un tableau, on met un tableau à 3 champs dedans
			$this->_liste_des_erreurs[] = array("field" => $nom_champ, "value" => $_POST[$nom_champ], "msg" => $msg);
			return false;
		}
	}
	

	//  METHODE - TESTER UNE SAISIE : LA LONGUEUR DE LA SAISIE EST-ELLE INFÉRIEUR À UN NOMBRE DONNÉ ? (2/2)
	function est_valide_inf_500($nom_champ)
	{
		if ((strlen($_POST[$nom_champ]) <= 500 ))
		{
			return true;
		}
		else
		{
			$msg="Le champ doit comporter moins de 500 caractères";
			//on remplit la liste d'erreur avec le nom du champ, la valeur saisie, le message d'erreur à renvoyer
			// le mot-clé this est utilisé pour appeler la propriété _liste_des_erreurs (variable qui est à l'interieur de la classe)
			// la propriété "_liste_des_erreurs" est un tableau, on met un tableau à 3 champs dedans
			$this->_liste_des_erreurs[] = array("field" => $nom_champ, "value" => $_POST[$nom_champ], "msg" => $msg);
			return false;
		}
	}


	// METHODE - TESTER UNE SAISIE :	S'AGIT-IL D'UNE ADRESSE EMAIL ?
	function is_email($nom_champ)
	{
		$Syntaxe='#^[\w.-]+@[\w.-]+\.[a-zA-Z]{2,5}$#';
		if(preg_match($Syntaxe,$_POST[$nom_champ]))
		{ 
			return true;
		} 
		else
		{
			$msg="L'adresse email ne semble pas valide";
			//on remplit la liste d'erreur avec le nom du champ, la valeur saisie, le message d'erreur à renvoyer
			// le mot-clé this est utilisé pour appeler la propriété _liste_des_erreurs (variable qui est à l'interieur de la classe)
			// la propriété "_liste_des_erreurs" est un tableau, on met un tableau à 3 champs dedans
			$this->_liste_des_erreurs[] = array("field" => $nom_champ, "value" => $_POST[$nom_champ], "msg" => $msg);
			return false;
		}
	}


	// METHODE - TESTER UNE SAISIE : S'AGIT-IL D'UN CODE POSTAL ?
	function iscode_postal($nom_champ)
	{
		$testCPOSTAL = '#^([0-9]{5})$#' ; 
		if(preg_match($testCPOSTAL,$_POST[$nom_champ]))
		{ 
			return true;
		} 
      		else
     		{
			$msg="Le code postal semble invalide";
			//on remplit la liste d'erreur avec le nom du champ, la valeur saisie, le message d'erreur à renvoyer
			// le mot-clé this est utilisé pour appeler la propriété _liste_des_erreurs (variable qui est à l'interieur de la classe)
			// la propriété "_liste_des_erreurs" est un tableau, on met un tableau à 3 champs dedans
			$this->_liste_des_erreurs[] = array("field" => $nom_champ, "value" => $_POST[$nom_champ], "msg" => $msg);
			return false;
		}
	}


	// METHODE - TESTER UNE SAISIE : NUMÉRO DE TELEPHONE
	function est_telephone($nom_champ)
	{
		$telephone = ereg_replace("[a-zA-Z ._]","",$_POST[$nom_champ]);
		$_POST[$nom_champ] =  $telephone ;
		if (strlen($telephone) ==10 )
		{
			return true;
		}
		else
		{
			$msg="Il doit y avoir 10 chiffres dans le N° de téléphone";
			//on remplit la liste d'erreur avec le nom du champ, la valeur saisie, le message d'erreur à renvoyer
			// le mot-clé this est utilisé pour appeler la propriété _liste_des_erreurs (variable qui est à l'interieur de la classe)
			// la propriété "_liste_des_erreurs" est un tableau, on met un tableau à 3 champs dedans
			$this->_liste_des_erreurs[] = array("field" => $nom_champ, "value" =>$telephone, "msg" => $msg);
			return false;
		}
	}


	// AUTRES VÉRIFICATIONS POSSIBLES A TESTER

	//  METHODE - TESTER UNE SAISIE : S'AGIT IL D'UNE DATE ?
	function isDate($date_day,$date_month,$date_year, $msg)
	{
		//$value = $this->_getValue($field);
		$field = "Date";
		$value = "Day:".$_POST[$date_day]." Month:".$_POST[$date_month].
			" Year:".$_POST[$date_year];
		if(!checkdate($_POST[$date_month],$_POST[$date_day],$_POST[$date_year]))
		{
			//on remplit la liste d'erreur avec le nom du champ, la valeur saisie, le message d'erreur à renvoyer
			// le mot-clé this est utilisé pour appeler la propriété _liste_des_erreurs (variable qui est à l'interieur de la classe)
			// la propriété "_liste_des_erreurs" est un tableau, on met un tableau à 3 champs dedans
			$this->_liste_des_erreurs[] = array("field" => $field, "value" => $value, "msg" => $msg);
			return false;
		}
		else
		{
			return true;
		}
	}


	// METHODE - TESTER UNE SAISIE : S'AGIT IL D'UNE VALEUR NUMÉRIQUE ?
	function isNumber($field, $msg)
	{
		//$value = $this->_getValue($field);
		$value = $_POST[$field] ;
		if(!is_numeric($value))
		{
			//on remplit la liste d'erreur avec le nom du champ, la valeur saisie, le message d'erreur à renvoyer
			// le mot-clé this est utilisé pour appeler la propriété _liste_des_erreurs (variable qui est à l'interieur de la classe)
			// la propriété "_liste_des_erreurs" est un tableau, on met un tableau à 3 champs dedans
			$this->_liste_des_erreurs[] = array("field" => $field, "value" => $value, "msg" => $msg);
			return false;
		}
		else
		{
			return true;
		}
	}


	// METHODE POUR SAVOIR S'IL Y A OU NON DES ERREURS SUITE AUX VÉRIFICATIONS
	function isError()
	{
		// Si le tableau _liste_des_erreurs (ici une propriété de la classe) ne contient aucune valeur, c'est qu'il n'y a eu aucune erreur dans le formulaire. On renvoit vrai
		if (sizeof($this->_liste_des_erreurs) > 0)
		{
			return true;
		}
		// sinon on renvoit faux
		else
		{
			return false;
		}
	}


	// METHODE POUR LA REMISE À 0 DE LA LISTE DES ERREURS
	function resetErrorList()
	{
		// on accéde aux propriétés de la classe avec le mot clé this
		// on charge la propriété _liste_des_erreurs avec un tableau vide
		$this->_liste_des_erreurs = array();
	}
}
?>
